'use strict';

var Config = function(){

    var config = {
        LiveDatarefreshInterval : 1 * 1000, // in milliseconds
        NominalDatarefreshInterval : 11 * 1000, // in milliseconds
        NetmanDatarefreshInterval : 21 * 1000, // in milliseconds
        RefreshTokenrefreshInterval : 31 * 1000, // in milliseconds
        feedbackMessageDuration: 5 * 1000, //in milliseconds

        nominalDataFileURL : "json/nominal_data.json",
        liveDataFileURL : "json/live_data.json",
        netmanDataFileURL : "json/netman_data.json",
        refreshTokenFileURL: "cgi-bin/refresh_token.cgi",
        eventLogSource : 'cgi-bin/db_eventlog_w.cgi',
        dataLogSource : 'cgi-bin/db_datalog_w.cgi',
        eventLogDownloadSource : 'cgi-bin/db_eventlog_dwn.cgi',
        dataLogDownloadSource : 'cgi-bin/db_datalog_dwn.cgi',
        upsHistoryDownloadSource : 'cgi-bin/log.cgi',
        serviceLogDownloadSource : 'cgi-bin/service_log.cgi',
        updateAvailable : 'http://www2.riello-ups.com/api/netman204-4G.json',

        waitMessage: "Please Wait...",
        btnSaveSuccessMessage: "Saved successfully",
        btnSaveErrorMessage: "Error",
        loginSuccessMessage: "Login Successful",
        logoutSuccessMessage: "Logout Successful",

        upsTypemap : {
            1: 'lineinteractive',
            2: 'lineinteractive',
            3: 'online',
            4: 'online',
            S: 'online',
            5: 'online' //le macchine CSS hanno ups_type a 5
        },

        ioSensorsStatus: {
            in : {
                0: "Open",
                1: "Close"
            },
            out: {
                0: "Open",
                1: "Close"
            }
        }
    };

    return {
        get : function(c){return config[c];}
    }
}();
